Runtime

## org.eclipse.gmf.runtime.diagram.ui.tools
Class AddPopupBarTool

    java.lang.Object
      org.eclipse.gef.util.FlagSupport
          org.eclipse.gef.tools.AbstractTool
              org.eclipse.gef.tools.TargetingTool
                  org.eclipse.gmf.runtime.diagram.ui.tools.AbstractPopupBarTool
                      org.eclipse.gmf.runtime.diagram.ui.tools.PopupBarTool
                          org.eclipse.gmf.runtime.diagram.ui.tools.AddPopupBarTool

All Implemented Interfaces:
  DragTracker, RequestConstants, Tool

Deprecated. Use `instead`

public class AddPopupBarTool
extends PopupBarTool

This is the tool used for the AddUML commands associated with the action bars. The creation tools for action bars also need to impl DragTracker since the SelectionTool calls Handle.getDragTracker during mouseDown.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.tools.AbstractTool
`AbstractTool.Input`

Field Summary

Fields inherited from class org.eclipse.gef.tools.TargetingTool
`MAX_FLAG`

Fields inherited from class org.eclipse.gef.tools.AbstractTool
`MAX_STATE, MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`AddPopupBarTool(EditPart epHost, CreateRequest theRequest)` Deprecated. constructor
`AddPopupBarTool(EditPart epHost, IElementType elementType)` Deprecated. constructor

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.tools.PopupBarTool
`createTargetRequest, getCommand, showTargetFeedback`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.tools.AbstractPopupBarTool
`commitDrag, getCommandName, getCreateRequest, getDebugName, getElementType, getHost, getPreferencesHint, handleButtonDown, handleButtonUp, isCommandEnabled, selectAddedObject, setElementKind, unlockTargetEditPart`

Methods inherited from class org.eclipse.gef.tools.TargetingTool

`deactivate, doAutoexpose, eraseTargetFeedback, getAutoexposeHelper, getExclusionSet, getTargetEditPart, getTargetingConditional, getTargetRequest, handleAutoexpose, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleInvalidInput, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, resetFlags, setAutoexposeHelper, setTargetEditPart, setTargetRequest, updateAutoexposeHelper, updateTargetRequest, updateTargetUnderMouse`

Methods inherited from class org.eclipse.gef.tools.AbstractTool

`activate, addFeedback, applyProperty, calculateCursor, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDebugNameForState, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleCommandStackChanged, handleDoubleClick, handleDrag, handleDragInProgress, handleDragStarted, handleFinished, handleFocusGained, handleFocusLost, handleHover, handleKeyDown, handleKeyTraversed, handleKeyUp, handleMove, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setState, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

Methods inherited from class org.eclipse.gef.util.FlagSupport
`getFlag, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.DragTracker
`commitDrag`

Methods inherited from interface org.eclipse.gef.Tool
`activate, deactivate, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setEditDomain, setProperties, setViewer, viewerEntered, viewerExited`

Constructor Detail

### AddPopupBarTool

    public AddPopupBarTool(EditPart epHost,
                           IElementType elementType)

  Deprecated.
  constructor

Parameters:
  `epHost` - the host edit part for this tool
  `elementType` -

### AddPopupBarTool

    public AddPopupBarTool(EditPart epHost,
                           CreateRequest theRequest)

  Deprecated.
  constructor

Parameters:
  `epHost` -
  `theRequest` - the create request to be used

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.